> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2020-05-18/api-reference/documents/retrieve-a-generic-document/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # Retrieve a Generic Document GET https://api.withpersona.com/api/v1/document/generics/{document-id} Retrieves the details of a generic document that has been previously created. Reference: https://docs.withpersona.com/api-reference/documents/retrieve-a-generic-document ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `document-id` (string, required) ### Query parameters - `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details. - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a Generic Document object and (optionally) its related objects in `included`. - `data` (document-generic, required) — A Document Generic object - `included` (list of DocumentIncludedObjectsItems, optional) — Objects that _may_ be returned if specified via the `include` query parameter in the request. ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of DocumentGenericsDocumentIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of DocumentGenericsDocumentIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of DocumentGenericsDocumentIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 404 Not Found Error The requested resource doesn’t exist. - `errors` (list of DocumentGenericsDocumentIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of DocumentGenericsDocumentIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### document-generic A Document Generic object - `id` (string, optional) - `attributes` (VerificationIncludedObjectsItemsDiscriminatorMappingDocumentGenericAttributes, optional) - `relationships` (document-shared-relationships, optional) ### DocumentIncludedObjectsItems - `type`: `inquiry` (inquiry) - `attributes` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributes, required) - `id` (string, required) - `relationships` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationships, required) - `type`: `inquiry-template` (inquiry-template) - `attributes` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateAttributes, optional) - `id` (string, optional) - `relationships` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationships, optional) - `type`: `inquiry-template-version` (inquiry-template-version) - `attributes` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionAttributes, optional) - `id` (string, optional) - `relationships` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationships, optional) - `type`: `template` (template) - `attributes` (VerificationIncludedObjectsItemsDiscriminatorMappingTemplateAttributes, optional) - `id` (string, optional) - `type`: `transaction` (transaction) - `attributes` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionAttributes, optional) - `id` (string, optional) — Unique identifier for this Transaction. Starts with `txn_`. - `relationships` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationships, optional) - `type`: `document-file` (document-file) - `attributes` (DocumentIncludedObjectsItemsDiscriminatorMappingDocumentFileAttributes, optional) - `id` (string, optional) ### DocumentGenericsDocumentIdGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingDocumentGenericAttributes - `created-at` (datetime, optional) - `document-type` (string, optional, nullable) — The classification of the document if detected. If unable to be detected, this will be other. - `extraction-responses` (list of ExtractionResponsesItems, optional, nullable) — A list of extractions resulting from processing the uploaded documents corresponding to the document's extraction configuration. - `extraction-results` (list of VerificationIncludedObjectsItemsDiscriminatorMappingDocumentGenericAttributesExtractionResultsItems, optional, nullable) — DEPRECATED: Use extraction-responses instead. Legacy extraction results format. This field is only available for API versions before 2021-08-18. - `fields` (map from string to any, optional) — JSON key-value pairs of field name to field value. Exact schema depends on the configuration of your template. - `files` (list of File, optional) — The files uploaded to the document for processing. - `files-normalized` (list of File, optional) - `kind` (string, optional) - `processed-at` (datetime, optional, nullable) - `processed-at-ts` (integer, optional, nullable) - `status` (string, optional) — Possible values: - initiated - submitted - processed - errored Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### document-shared-relationships - `inquiry` (DocumentSharedRelationshipsInquiry, optional) - `template` (DocumentSharedRelationshipsTemplate, optional) - `inquiry-template-version` (DocumentSharedRelationshipsInquiryTemplateVersion, optional) - `inquiry-template` (DocumentSharedRelationshipsInquiryTemplate, optional) - `transaction` (DocumentSharedRelationshipsTransaction, optional) - `document-files` (DocumentSharedRelationshipsDocumentFiles, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributes - `status` (string, required) — The status of the Inquiry Possible values: - created - pending - completed - expired - failed - needs_review - approved - declined Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `reference-id` (string, required, nullable) - `note` (string, required, nullable) - `behaviors` (map from string to any, required, nullable) — Risk signals surfaced to enterprise customers. Specific keys are not enumerated in the public spec and may be added or removed over time. Contact your Persona account team for more information. - `tags` (list of string, required) - `creator` (string, required) - `reviewer-comment` (string, required, nullable) - `created-at` (datetime, required) - `updated-at` (datetime, required) - `started-at` (datetime, required, nullable) - `expires-at` (datetime, required, nullable) - `completed-at` (datetime, required, nullable) - `failed-at` (datetime, required, nullable) — Set when an Inquiry transitions to `failed`. Not typically set on `declined` Inquiries — those carry `completed-at` from the transition that preceded the decision. - `marked-for-review-at` (datetime, required, nullable) - `decisioned-at` (datetime, required, nullable) - `expired-at` (datetime, required, nullable) - `redacted-at` (datetime, required, nullable) - `previous-step-name` (string, required, nullable) - `next-step-name` (string, required, nullable) - `fields` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFields, required) — JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Inquiry template for this Inquiry. - `birthdate` (date, optional, nullable) — Birthdate, must be in the format "YYYY-MM-DD". - `name-first` (string, optional, nullable) — Given or first name. - `name-middle` (string, optional, nullable) — Middle name. - `name-last` (string, optional, nullable) — Family or last name. - `phone-number` (string, optional, nullable) — Phone number. - `email-address` (string, optional, nullable) — Email address. - `social-security-number` (string, optional, nullable) — Social security number. - `address-street-1` (string, optional, nullable) — Street name of residence address. - `address-street-2` (string, optional, nullable) — Extension of residence address, usually apartment or suite number. - `address-city` (string, optional, nullable) — City of residence address. Not all international addresses use this attribute. - `address-subdivision` (string, optional, nullable) — State or subdivision of residence address. In the US, this should be the unabbreviated name. Not all international addresses use this attribute. - `address-postal-code` (string, optional, nullable) — ZIP or postal code of residence address. Not all international addresses use this attribute. - `address-subdivision-abbr` (string, optional, nullable) - `address-postal-code-abbr` (string, optional, nullable) - `identification-number` (string, optional, nullable) - `reviewer` (string, optional, nullable) — The email address or identifier of the reviewer who made the decision on this inquiry. For User reviewers, this is their email address. For Workflow reviewers, this is the workflow token. For API decisions, this is "api". - `reviewer-type` (string, optional, nullable) — The type of reviewer who made the decision. Can be "user", "workflow", "workflow-run", or "api". - `driver-license-number` (string, optional, nullable, deprecated) - `passport-number` (string, optional, nullable, deprecated) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationships - `account` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsAccount, optional) - `documents` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsDocuments, optional) - `template` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTemplate, optional) — Only present for Legacy 2.0 inquiries - `inquiry-template` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplate, optional) — Only present for Dynamic Flow inquiries - `inquiry-template-version` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateVersion, optional) — Only present for Dynamic Flow inquiries - `reports` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsReports, optional) - `transaction` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTransaction, optional) - `selfies` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSelfies, optional) - `sessions` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSessions, optional) - `verifications` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsVerifications, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateAttributes - `name` (string, optional) — Name of the Inquiry Template - `status` (string, optional) — Possible values: - active - inactive Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `embedded-flow-domain-allowlist` (list of string, optional) — List of domains allowed for embedded flows - `hosted-flow-subdomains` (list of string, optional) — The subdomain that your hosted flow can be hosted on (e.g. "mycompany.withpersona.com") - `hosted-flow-redirect-uri-schemes` (list of string, optional) — An allowlist that specifies the URI schemes for redirect after completion of a Hosted Flow. This can be used to implement deep linking for mobile integrations. If this list is empty, all URLs with the URI scheme http or https are allowed. - `field-schemas` (list of field-schema, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationships - `latest-published-version` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationshipsLatestPublishedVersion, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionAttributes - `name-display` (string, optional, nullable) - `description` (string, optional, nullable) — A description of the changes in this version. - `status` (string, optional) — Possible values: - published - draft Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `live` (boolean, optional) — Whether this is the Inquiry Template's current live published version. - `last-updater` (string, optional, nullable) — The email address of the User who last updated this version. - `enabled-locales` (list of string, optional) - `created-at` (datetime, optional) - `updated-at` (datetime, optional, nullable) - `published-at` (datetime, optional, nullable) - `theme` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionAttributesTheme, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationships - `inquiry-template` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationshipsInquiryTemplate, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTemplateAttributes - `name` (string, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionAttributes - `status` (string, optional) - `reference-id` (string, optional, nullable) - `fields` (map from string to any, optional) — JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Transaction Type for this Transaction. - `tags` (list of string, optional) - `signals` (map from string to any, optional) — Risk signals computed for this Transaction, keyed by signal name. Only present for Transactions whose Transaction Type has Sentinel enabled; signals appear once the Sentinel session has been processed. Specific keys are not enumerated in the public spec and may be added or removed over time. Contact your Persona account team for more information. - `created-at` (datetime, optional) - `updated-at` (datetime, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationships - `reviewer` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewer, optional) — The entity that reviewed the transaction - `transaction-label` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabel, optional) - `transaction-type` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionType, optional) - `related-objects` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjects, optional) — Objects involved in this Transaction's related Workflow runs. - `sentinel-sessions` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessions, optional) — The Sentinel sessions that collected device and network data for this Transaction. Present on every Transaction; `data` is empty unless the Transaction has one or more Sentinel sessions. ### DocumentIncludedObjectsItemsDiscriminatorMappingDocumentFileAttributes - `name` (string, optional, nullable) - `capture-method` (string, optional) — Possible values: - auto - manual - upload - api - live Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `originals` (list of File, optional) ### ExtractionResponsesItems - `extraction-type` (string, optional) - `field-name` (string, optional) - `structured-results` (list of map from string to any, optional) — A list of structured AI extraction results with locations stripped. Values are recursive — objects contain nested structured results — but bounding-box location data is omitted from the API response. - `results` (list of ExtractionResponsesItemsResultsItems, optional) — A list of objects containing the actual value extracted and additional information relevant to the extraction result. ### VerificationIncludedObjectsItemsDiscriminatorMappingDocumentGenericAttributesExtractionResultsItems - `name` (string, optional) — The name of the extraction field - `accepts` (list of VerificationIncludedObjectsItemsDiscriminatorMappingDocumentGenericAttributesExtractionResultsItemsAcceptsItems, optional) — Accepted extraction results - `rejects` (list of VerificationIncludedObjectsItemsDiscriminatorMappingDocumentGenericAttributesExtractionResultsItemsRejectsItems, optional) — Rejected extraction results ### File - `filename` (string, optional) - `url` (string, optional) - `byte-size` (integer, optional) ### DocumentSharedRelationshipsInquiry - `data` (DocumentSharedRelationshipsInquiryData, optional, nullable) ### DocumentSharedRelationshipsTemplate - `data` (DocumentSharedRelationshipsTemplateData, optional, nullable) ### DocumentSharedRelationshipsInquiryTemplateVersion - `data` (DocumentSharedRelationshipsInquiryTemplateVersionData, optional, nullable) ### DocumentSharedRelationshipsInquiryTemplate - `data` (DocumentSharedRelationshipsInquiryTemplateData, optional, nullable) ### DocumentSharedRelationshipsTransaction - `data` (DocumentSharedRelationshipsTransactionData, optional, nullable) ### DocumentSharedRelationshipsDocumentFiles - `data` (list of DocumentSharedRelationshipsDocumentFilesDataItems, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFields JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Inquiry template for this Inquiry. - `name-first` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameFirst, optional) - `name-middle` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameMiddle, optional) - `name-last` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameLast, optional) - `address-street-1` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressStreet1, optional) - `address-street-2` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressStreet2, optional) - `address-city` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressCity, optional) — City of residence address. Not all international addresses use this attribute. - `address-subdivision` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressSubdivision, optional) — State or subdivision of residence address. In the US, this should be the unabbreviated name. Not all international addresses use this attribute. - `address-postal-code` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressPostalCode, optional) — ZIP or postal code of residence address. Not all international addresses use this attribute. - `address-country-code` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressCountryCode, optional) — ISO 3166-1 alpha 2 country code. - `birthdate` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsBirthdate, optional) - `email-address` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsEmailAddress, optional) - `phone-number` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsPhoneNumber, optional) - `driver-license-number` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsDriverLicenseNumber, optional, deprecated) - `passport-number` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsPassportNumber, optional, deprecated) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsAccount - `data` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsAccountData, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsDocuments - `data` (list of SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsDocumentsDataItems, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTemplate Only present for Legacy 2.0 inquiries - `data` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTemplateData, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplate Only present for Dynamic Flow inquiries - `data` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateData, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateVersion Only present for Dynamic Flow inquiries - `data` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateVersionData, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsReports - `data` (list of SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsReportsDataItems, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTransaction - `data` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTransactionData, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSelfies - `data` (list of SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSelfiesDataItems, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSessions - `data` (list of SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSessionsDataItems, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsVerifications - `data` (list of SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsVerificationsDataItems, optional) ### field-schema - `type`: `array` (array) - `config` (FieldSchemaArrayConfig, optional) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `boolean` (boolean) - `config` (FieldSchemaBooleanConfig, optional) - `default-value` (boolean, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `choices` (choices) - `config` (FieldSchemaChoicesConfig, optional) - `default-value` (string, optional, nullable) — Must be one of the values in `config.options`, or null. - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `date` (date) - `config` (FieldSchemaDateConfig, optional) - `default-value` (date, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `datetime` (datetime) - `config` (FieldSchemaDatetimeConfig, optional) - `default-value` (datetime, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `email-address` (email-address) - `config` (FieldSchemaEmailAddressConfig, optional) - `default-value` (string, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `file` (file) - `config` (FieldSchemaFileConfig, optional) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `hash` (hash) - `config` (FieldSchemaHashConfig, optional) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `integer` (integer) - `config` (FieldSchemaIntegerConfig, optional) - `default-value` (integer, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `json` (json) - `config` (FieldSchemaJsonConfig, optional) - `default-value` (any, optional) — JSON-typed fields don't expose a default-value through this API (the stored value is a free-form JSON document; the default is `null`). - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `multi-choices` (multi-choices) - `config` (FieldSchemaMultiChoicesConfig, optional) - `default-value` (list of string, optional, nullable) — Each entry must be one of the values in `config.options`. - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `number` (number) - `config` (FieldSchemaNumberConfig, optional) - `default-value` (double, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `string` (string) - `config` (FieldSchemaStringConfig, optional) - `default-value` (string, optional, nullable) - `key` (string, optional) - `label` (string, optional, nullable) - `type`: `relation-schema` (relation-schema) - `config` (FieldSchemaRelationConfig, optional) - `key` (string, optional) - `label` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationshipsLatestPublishedVersion - `data` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationshipsLatestPublishedVersionData, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionAttributesTheme - `border-radius` (string, optional, nullable) - `border-radius-input` (string, optional, nullable) - `border-radius-modal` (string, optional, nullable) - `border-width` (string, optional, nullable) - `border-width-input` (string, optional, nullable) - `button-background-image` (string, optional, nullable) - `button-font-weight` (string, optional, nullable) - `button-position` (string, optional, nullable) - `button-shadow-strength` (string, optional, nullable) - `button-text-transform` (string, optional, nullable) - `color-button-primary` (string, optional, nullable) - `color-button-secondary` (string, optional, nullable) - `color-button-secondary-fill` (string, optional, nullable) - `color-button-primary-fill-disabled` (string, optional, nullable) - `color-button-secondary-fill-disabled` (string, optional, nullable) - `color-error` (string, optional, nullable) - `color-font` (string, optional, nullable) - `color-font-button-primary` (string, optional, nullable) - `color-font-button-secondary` (string, optional, nullable) - `color-font-small` (string, optional, nullable) - `color-font-title` (string, optional, nullable) - `color-icon-header` (string, optional, nullable) - `color-input-background` (string, optional, nullable) - `color-input-border` (string, optional, nullable) - `color-link` (string, optional, nullable) - `color-modal-background` (string, optional, nullable) - `color-primary` (string, optional, nullable) - `color-progress-bar` (string, optional, nullable) - `color-success` (string, optional, nullable) - `color-warning` (string, optional, nullable) - `color-divider` (string, optional, nullable) - `color-dropdown-background` (string, optional, nullable) - `color-dropdown-option` (string, optional, nullable) - `font-family` (string, optional, nullable) - `font-family-title` (string, optional, nullable) - `font-url` (string, optional, nullable) - `font-size-body` (string, optional, nullable) - `font-size-header` (string, optional, nullable) - `font-size-small` (string, optional, nullable) - `line-height-body` (string, optional, nullable) - `line-height-header` (string, optional, nullable) - `line-height-small` (string, optional, nullable) - `header-font-weight` (string, optional, nullable) - `header-margin-bottom` (string, optional, nullable) - `icon-color-primary` (string, optional, nullable) - `icon-color-highlight` (string, optional, nullable) - `icon-color-stroke` (string, optional, nullable) - `icon-color-background` (string, optional, nullable) - `icon-color-government-id-type` (string, optional, nullable) - `icon-style` (string, optional, nullable) - `input-style` (string, optional, nullable) - `page-transition` (string, optional, nullable) - `text-align` (string, optional, nullable) - `text-decoration-line-link` (string, optional, nullable) - `us-state-input-method` (string, optional, nullable) - `vertical-options-style` (string, optional, nullable) - `government-id-pictograph-position` (string, optional, nullable) - `id-back-pictograph-height` (string, optional, nullable) - `id-back-pictograph-url` (string, optional, nullable) - `id-front-pictograph-height` (string, optional, nullable) - `id-front-pictograph-url` (string, optional, nullable) - `passport-front-pictograph-height` (string, optional, nullable) - `passport-front-pictograph-url` (string, optional, nullable) - `passport-signature-pictograph-height` (string, optional, nullable) - `passport-signature-pictograph-url` (string, optional, nullable) - `government-id-select-pictograph-height` (string, optional, nullable) - `government-id-select-pictograph-url` (string, optional, nullable) - `device-handoff-terms-text-position` (string, optional, nullable) - `selfie-pictograph-url` (string, optional, nullable) - `selfie-pictograph-height` (string, optional, nullable) - `selfie-center-pictograph-url` (string, optional, nullable) - `selfie-center-pictograph-height` (string, optional, nullable) - `selfie-left-pictograph-url` (string, optional, nullable) - `selfie-left-pictograph-height` (string, optional, nullable) - `selfie-right-pictograph-url` (string, optional, nullable) - `selfie-right-pictograph-height` (string, optional, nullable) - `document-pictograph-position` (string, optional, nullable) - `document-pictograph-height` (string, optional, nullable) - `document-pictograph-url` (string, optional, nullable) - `camera-support-pictograph-height` (string, optional, nullable) - `camera-support-pictograph-url` (string, optional, nullable) - `loading-pictograph-height` (string, optional, nullable) - `loading-pictograph-url` (string, optional, nullable) - `navbar-logo-display` (string, optional, nullable) - `logo-url` (string, optional, nullable) - `logo` (string, optional, nullable) - `logo-data` (string, optional, nullable) - `logo-filename` (string, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationshipsInquiryTemplate - `data` (VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationshipsInquiryTemplateData, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewer The entity that reviewed the transaction - `data` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewerData, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabel - `data` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabelData, optional, nullable) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionType - `data` (VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionTypeData, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjects Objects involved in this Transaction's related Workflow runs. - `data` (list of VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjectsDataItems, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessions The Sentinel sessions that collected device and network data for this Transaction. Present on every Transaction; `data` is empty unless the Transaction has one or more Sentinel sessions. - `data` (list of VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessionsDataItems, optional) ### ExtractionResponsesItemsResultsItems - `value` (string, optional) - `page` (integer, optional) — The page number the extraction result is detected. Page is 1-indexed. - `match-level` (string, optional) — If extraction-type is guided, match-level describes the degree in which the extracted value is similar to the source value. Otherwise the match-level is full. - `metadata` (ExtractionResponsesItemsResultsItemsMetadata, optional, nullable) — This is a free-form object containing potentially helpful metadata on the extraction result. ### VerificationIncludedObjectsItemsDiscriminatorMappingDocumentGenericAttributesExtractionResultsItemsAcceptsItems - `result` (string, optional) — The extracted value - `extraction-type` (enum, optional) — Type of extraction performed - Allowed values: `inquiry_field`, `text`, `regex`, `entity`, `license_plate_jp_class`, `license_plate_jp_text` - `similarity` (string, optional) — Match similarity level (for inquiry_field type) - `source-value` (string, optional) — Source value for comparison (for inquiry_field type) - `pattern` (string, optional) — Pattern used for extraction (for text/regex types) - `search-text` (string, optional) — Text searched for extraction (for text/regex types) - `edit-distance` (double, optional) — Edit distance for text matches (for text type) - `groups` (list of string, optional) — Regex capture groups (for regex type) - `option` (string, optional) — Entity extraction option (for entity type) - `metadata` (VerificationIncludedObjectsItemsDiscriminatorMappingDocumentGenericAttributesExtractionResultsItemsAcceptsItemsMetadata, optional) — Additional extraction metadata ### VerificationIncludedObjectsItemsDiscriminatorMappingDocumentGenericAttributesExtractionResultsItemsRejectsItems ### DocumentSharedRelationshipsInquiryData - `id` (string, optional) - `type` ("inquiry", optional) ### DocumentSharedRelationshipsTemplateData - `id` (string, optional) - `type` ("template", optional) ### DocumentSharedRelationshipsInquiryTemplateVersionData - `id` (string, optional) - `type` ("inquiry-template-version", optional) ### DocumentSharedRelationshipsInquiryTemplateData - `id` (string, optional) - `type` ("inquiry-template", optional) ### DocumentSharedRelationshipsTransactionData - `type` ("transaction", optional) - `id` (string, optional) ### DocumentSharedRelationshipsDocumentFilesDataItems - `id` (string, optional) - `type` ("document-file", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameFirst - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameMiddle - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameLast - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressStreet1 - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressStreet2 - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressCity City of residence address. Not all international addresses use this attribute. - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressSubdivision State or subdivision of residence address. In the US, this should be the unabbreviated name. Not all international addresses use this attribute. - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressPostalCode ZIP or postal code of residence address. Not all international addresses use this attribute. - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressCountryCode ISO 3166-1 alpha 2 country code. - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsBirthdate - `type` (string, optional) - `value` (string, optional, nullable) — Date of birth in YYYY-MM-DD format ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsEmailAddress - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsPhoneNumber - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsDriverLicenseNumber - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsPassportNumber - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsAccountData - `id` (string, optional) - `type` ("account", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsDocumentsDataItems - `id` (string, optional) - `type` (string, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTemplateData - `id` (string, optional) - `type` ("template", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateData - `id` (string, optional) - `type` ("inquiry-template", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateVersionData - `id` (string, optional) - `type` ("inquiry-template-version", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsReportsDataItems - `id` (string, optional) - `type` (string, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTransactionData - `id` (string, optional) - `type` ("transaction", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSelfiesDataItems - `id` (string, optional) - `type` (string, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSessionsDataItems - `id` (string, optional) - `type` ("inquiry-session", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsVerificationsDataItems - `id` (string, optional) - `type` (string, optional) ### FieldSchemaArrayConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `item-schema` (field-schema, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaBooleanConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaChoicesConfig - `allow-empty` (boolean, optional, default: false) - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `option-labels` (list of string, optional) — Display labels for each value in `options`, in the same order. - `options` (list of string, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaDateConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `max-date` (date, optional, nullable) - `min-date` (date, optional, nullable) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaDatetimeConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaEmailAddressConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaFileConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `max-file-size-bytes` (integer, optional, default: 10000000) - `min-file-size-bytes` (integer, optional, default: 1) - `page-count-limit-enabled` (boolean, optional, default: false) — Whether the document page-count limits are enforced. - `page-count-max` (integer, optional, nullable) — Maximum allowed page count when `page-count-limit-enabled` is true. - `page-count-min` (integer, optional, nullable) — Minimum allowed page count when `page-count-limit-enabled` is true. - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `supported-mime-types` (list of string, optional, default: ["image/jpg image/jpeg image/png image/heic image/heif image/tif image/tiff image/gif image/svg+xml application/pdf text/plain text/csv video/mp4 video/webm video/quicktime"]) - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaHashConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `ignore-unknown-keys` (boolean, optional, default: false) - `item-schemas` (list of field-schema, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaIntegerConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `max` (double, optional) - `min` (double, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaJsonConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `json-schema` (map from string to any, optional) — A JSON Schema document (Draft 7 syntax) describing the shape of values stored in this field. Synthesized server-side by some verification types (e.g. `government-id` writes a map of national identification numbers); the schema is informational and may evolve without a versioned update. - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaMultiChoicesConfig - `allow-empty` (boolean, optional, default: false) - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `option-labels` (list of string, optional) — Display labels for each value in `options`, in the same order. - `options` (list of string, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaNumberConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `max` (double, optional) - `min` (double, optional) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaStringConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `max-char-length` (integer, optional, default: 255) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `sanitize` (list of string, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### FieldSchemaRelationConfig - `archived-at` (datetime, optional, nullable) - `deactivated-at` (datetime, optional, nullable) - `redaction-policy` (string, optional, default: none) — Whether the field's value may be redacted on request. Possible values: - `none` — value is redactable - `never` — value is never redacted Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `required` (boolean, optional) - `source-key-path` (string, optional, nullable) — When the field schema is an alias, the dotted key path of the source field; absent for non-alias schemas. - `target` (string, optional) — Customer-facing identifier for the specific Relation subtype this field points to — `document-generic`, `document-government-id`, `document-government-id-nfc`, `document-mdoc`, `document-qr-code`, or `selfie`. Use this on a future write API to specify which relation kind to create. - `write-policy` (string, optional, default: none) — Whether the field's value may be overwritten after it is first set. Possible values: - `none` — value may be overwritten on subsequent writes - `write_once` — subsequent writes are rejected once a value is set Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateRelationshipsLatestPublishedVersionData - `type` ("inquiry-template-version", optional) - `id` (string, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingInquiryTemplateVersionRelationshipsInquiryTemplateData - `type` ("inquiry-template", optional) - `id` (string, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsReviewerData - `type` (string, optional) - `id` (string, optional) ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionLabelData - `type` ("transaction-label", optional) - `id` (string, optional) — Unique identifier for this Transaction Label. Starts with `txnl_`. ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsTransactionTypeData - `type` ("transaction-type", optional) - `id` (string, optional) — Unique identifier for this Transaction Type. Starts with `txntp_`. ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsRelatedObjectsDataItems - `type` (string, optional) - `id` (string, optional) — Unique identifier for this object. ### VerificationIncludedObjectsItemsDiscriminatorMappingTransactionRelationshipsSentinelSessionsDataItems - `type` ("sentinel-session", optional) - `id` (string, optional) — Unique identifier for this Sentinel Session. Starts with `snts_`. ### ExtractionResponsesItemsResultsItemsMetadata This is a free-form object containing potentially helpful metadata on the extraction result. ### VerificationIncludedObjectsItemsDiscriminatorMappingDocumentGenericAttributesExtractionResultsItemsAcceptsItemsMetadata Additional extraction metadata ## Examples **Response** ```json { "data": { "id": "doc_bzyijToBPnSHtbW2mMdpKM8W", "attributes": { "created-at": "2023-12-20T00:47:09.000Z", "document-type": "other", "extraction-responses": [ { "extraction-type": "unguided", "field-name": "dates", "results": [ { "value": "Oct 14 2023", "page": 1, "match-level": "full", "metadata": { "day": 14, "month": 10, "year": 2023 } } ] }, { "extraction-type": "guided", "field-name": "address_street_1", "results": [ { "value": "1234 Main St.", "page": 1, "match-level": "full", "metadata": {} } ] }, { "extraction-type": "guided", "field-name": "address_street_2", "results": [] }, { "extraction-type": "guided", "field-name": "address_city", "results": [] }, { "extraction-type": "guided", "field-name": "address_postal_code", "results": [] }, { "extraction-type": "guided", "field-name": "name", "results": [] } ], "extraction-results": [ { "name": "dates", "accepts": [ { "result": "Oct 14 2023", "extraction-type": "entity", "option": "date", "metadata": { "day": 14, "month": 10, "year": 2023 } } ], "rejects": [] }, { "name": "address_street_1", "accepts": [ { "result": "1234 Main St.", "extraction-type": "inquiry_field", "similarity": "full", "source-value": "1234 Main St." } ], "rejects": [] } ], "fields": {}, "files": [ { "filename": "abc123.JPEG", "url": "https://files.withpersona.com/abc123.JPEG?access_token=ACCESS_TOKEN", "byte-size": 124917 } ], "files-normalized": [ { "filename": "abc123.JPEG", "url": "https://files.withpersona.com/abc123.JPEG?access_token=ACCESS_TOKEN", "byte-size": 124917 } ], "kind": "document", "processed-at": "2023-12-20T00:47:15.000Z", "processed-at-ts": 1703033235, "status": "processed" }, "relationships": { "inquiry": { "data": { "id": "inq_5noeVrHSRUWeFMv5T6wLA8qt", "type": "inquiry" } }, "template": { "data": null }, "inquiry-template-version": { "data": null }, "inquiry-template": { "data": { "id": "itmpl_jGTjQgGMyei68sdf8NyCeDMh", "type": "inquiry-template" } }, "document-files": { "data": [] } }, "type": "document/generic" } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/document/generics/document-id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/document/generics/document-id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/document/generics/document-id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/document/generics/document-id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/document/generics/document-id") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/document/generics/document-id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/document/generics/document-id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/document/generics/document-id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```